# Uses of Class
nu.validator.htmlparser.xom.SimpleNodeFactory

Packages that use SimpleNodeFactory
Package
Description
nu.validator.htmlparser.xom
This package provides an HTML5 parser that exposes the document through the XOM API.

## Uses of SimpleNodeFactory in nu.validator.htmlparser.xom

Methods in nu.validator.htmlparser.xom that return SimpleNodeFactory
Modifier and Type
Method
Description
`SimpleNodeFactory`
HtmlBuilder.`getSimpleNodeFactory()`
Gets the node factory
Constructors in nu.validator.htmlparser.xom with parameters of type SimpleNodeFactory
Modifier
Constructor
Description
``
`HtmlBuilder(SimpleNodeFactory nodeFactory)`
Constructor with given node factory and fatal XML violation policy.
``
`HtmlBuilder(SimpleNodeFactory nodeFactory, XmlViolationPolicy xmlPolicy)`
Constructor with given node factory and given XML violation policy.